PropertyRestriction (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.impl.edoal
Class PropertyRestriction

    java.lang.Object
      fr.inrialpes.exmo.align.impl.edoal.Expression
          fr.inrialpes.exmo.align.impl.edoal.PathExpression
              fr.inrialpes.exmo.align.impl.edoal.PropertyExpression
                  fr.inrialpes.exmo.align.impl.edoal.PropertyRestriction

All Implemented Interfaces:
  ValueExpression, Cloneable, Visitable

Direct Known Subclasses:
  PropertyDomainRestriction, PropertyTypeRestriction, PropertyValueRestriction

    public abstract class PropertyRestriction

extends PropertyExpression
implements Cloneable, Visitable

Superclass for all AttributeConditions.

To successfully subclass this class the `clone` and `equals` methods must be overwritten. And if new fields were introduced, the `hashCode` and `toString` methods, too.

Created on 24-Mar-2005 Committed by $Author: poettler_ric $

$Id: PropertyRestriction.java 1311 2010-03-07 22:51:10Z euzenat $

Version:
  $Revision: 1.6 $ $Date: 2010-03-07 20:40:05 +0100 (Sun, 07 Mar 2010) $
Author:
  Richard Pöttler, Adrian Mocan, Francois Scharffe

Field Summary

Fields inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`variable`

Constructor Summary
`protected` | `PropertyRestriction()`

Method Summary
`void` | `accept(AlignmentVisitor visitor)`

Methods inherited from class fr.inrialpes.exmo.align.impl.edoal.Expression
`accept, getVariable, setVariable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyRestriction

    protected PropertyRestriction()

Method Detail

### accept

    public void accept(AlignmentVisitor visitor)
                throws AlignmentException

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `PropertyExpression`
  Throws:
    `AlignmentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010